AbstractSwingTestCase (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## griffon.test
[Groovy] Class AbstractSwingTestCase

    java.lang.Object
      GroovyTestCase
          griffon.test.AbstractSwingTestCase

    class AbstractSwingTestCase
    extends GroovyTestCase

Base classe for Swing relatedt test.

Authors:
  Danno Ferrin
  Andres Almiray

Field Summary
`private static boolean` | `headless`

Property Summary
`def` | `execAsync` Executes code asynchronously inside the UI thread
`def` | `execFuture` Schedules a block of code as a Future
`def` | `execOutside` Executes code outside the UI thread
`def` | `execSync` Executes code synchronously inside the UI thread
`def` | `isUIThread` True if the current thread is the UI thread

Constructor Summary
`AbstractSwingTestCase()`

Method Summary
`static boolean` | `getHeadless()` Alias for isHeadless().
`static boolean` | `isHeadless()` A boolean indicating if we are running in headless mode.

Field Detail

### headless

    private static boolean headless

Property Detail

### execAsync

    def execAsync

  Executes code asynchronously inside the UI thread

### execFuture

    def execFuture

  Schedules a block of code as a Future

### execOutside

    def execOutside

  Executes code outside the UI thread

### execSync

    def execSync

  Executes code synchronously inside the UI thread

### isUIThread

    def isUIThread

  True if the current thread is the UI thread

Constructor Detail

### AbstractSwingTestCase

    AbstractSwingTestCase()

Method Detail

### getHeadless

    static boolean getHeadless()

  Alias for isHeadless().
  Returns:
    true if running in headless mode

### isHeadless

    static boolean isHeadless()

  A boolean indicating if we are running in headless mode. Check this flag if you believe your test may make use of AWT/Swing features, then simply return rather than running your test.
  Returns:
    true if running in headless mode

Groovy Documentation